Mailinglist Archive: opensuse-bugs (3349 mails)

< Previous Next >
[Bug 978593] EFI fails to load up the grub2 image erroring out on snapshot path
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Fri, 06 May 2016 12:36:45 +0000
  • Message-id: <bug-978593-21960-d5UaKPJq5G@http.bugzilla.suse.com/>
http://bugzilla.suse.com/show_bug.cgi?id=978593
http://bugzilla.suse.com/show_bug.cgi?id=978593#c23

--- Comment #23 from Alexander Graf <agraf@xxxxxxxx> ---
(In reply to Michael Chang from comment #22)
Thanks .. so my understanding is

To fix this bug, include efivarfs.ko in install system.

I think so, yes. At least for x86_64. For AArch64 we need to also put the pbl
logic into yast2-bootloader.

To fix bsc#978157 (aarch64), fix yast2 bootloader by the same pbl logic.

To fix the other bug, we simply need to deactivate secure boot support for
AArch64, since there we don't have any shim to install.

Is it correct ?

I think we're getting close:


https://github.com/agraf/yast-bootloader/commit/3c5219575796c9316ab8d74f06381308ee0feedd


https://github.com/agraf/yast-bootloader/commit/a133a4c66409a3174dc37f8b18188a0fc38ed00e

What's left is the installer change.

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >
References